# module.h File Reference

`#include <time.h>`
`#include "magick/version.h"`

Go to the source code of this file.

## Data Structures

struct | _ModuleInfo

## Defines

#define | MagickImageCoderSignature
#define | MagickImageFilterSignature

## Typedefs

typedef struct _ModuleInfo | ModuleInfo
typedef ModuleExport unsigned long | ImageFilterHandler (Image **, const int, char **, ExceptionInfo *)

## Enumerations

enum | MagickModuleType { MagickImageCoderModule, MagickImageFilterModule }

## Functions

MagickExport char ** | GetModuleList (const char *, unsigned long *, ExceptionInfo *)
MagickExport const ModuleInfo * | GetModuleInfo (const char *, ExceptionInfo *)
MagickExport const ModuleInfo *** | GetModuleInfoList (const char *, unsigned long *, ExceptionInfo *)
MagickExport MagickBooleanType | InvokeDynamicImageFilter (const char *, Image **, const int, char **, ExceptionInfo *)
MagickExport MagickBooleanType | InvokeStaticImageFilter (const char *, Image **, const int, char **, ExceptionInfo *)
MagickExport MagickBooleanType | ListModuleInfo (FILE *, ExceptionInfo *)
MagickExport MagickBooleanType | OpenModule (const char *, ExceptionInfo *)
MagickExport MagickBooleanType | OpenModules (ExceptionInfo *)
MagickExport void | DestroyModuleList (void)
MagickExport void | RegisterStaticModules (void)
MagickExport void | UnregisterStaticModules (void)

## Define Documentation

#define MagickImageCoderSignature

Value:

    ((unsigned long) \
      (((MagickLibVersion) << 8) | MAGICKCORE_QUANTUM_DEPTH))

#define MagickImageFilterSignature

Value:

    ((unsigned long) \
      (((MagickLibVersion) << 8) | MAGICKCORE_QUANTUM_DEPTH))

## Typedef Documentation

typedef ModuleExport unsigned long ImageFilterHandler(Image **, const int, char **, ExceptionInfo *)

typedef struct _ModuleInfo ModuleInfo

## Enumeration Type Documentation

enum MagickModuleType

Enumerator:

  MagickImageCoderModule |
  MagickImageFilterModule |

## Function Documentation

MagickExport void DestroyModuleList | ( | void |  | ) |

MagickExport const ModuleInfo* GetModuleInfo | ( | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport const ModuleInfo* ** GetModuleInfoList | ( | const char * | ,
|  | unsigned long * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport char** GetModuleList | ( | const char * | ,
|  | unsigned long * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType InvokeDynamicImageFilter | ( | const char * | ,
|  | Image ** | ,
|  | const | int,
|  | char ** | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType InvokeStaticImageFilter | ( | const char * | ,
|  | Image ** | ,
|  | const | int,
|  | char ** | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType ListModuleInfo | ( | FILE * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType OpenModule | ( | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType OpenModules | ( | ExceptionInfo * |  | ) |

MagickExport void RegisterStaticModules | ( | void |  | ) |

MagickExport void UnregisterStaticModules | ( | void |  | ) |